module MbedTLS_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libmbedcrypto
const libmbedcrypto_path = "/usr/lib/libmbedcrypto.so.7"
libmbedcrypto_handle = C_NULL
get_libmbedcrypto_path() = libmbedcrypto_path
const libmbedcrypto = "libmbedcrypto.so.7"
export libmbedtls
const libmbedtls_path = "/usr/lib/libmbedtls.so.14"
libmbedtls_handle = C_NULL
get_libmbedtls_path() = libmbedtls_path
const libmbedtls = "libmbedtls.so.14"
export libmbedx509
const libmbedx509_path = "/usr/lib/libmbedx509.so.1"
libmbedx509_handle = C_NULL
get_libmbedx509_path() = libmbedx509_path
const libmbedx509 = "libmbedx509.so.1"
function __init__()
    global libmbedcrypto_handle = dlopen(libmbedcrypto_path)
    global libmbedtls_handle = dlopen(libmbedtls_path)
    global libmbedx509_handle = dlopen(libmbedx509_path)
end
end
